#默认不动
SKIPMOUNT=false
#如果想启用system.prop的参数，则改为true
PROPFILE=true
#开机前执行的命令，想启用则改为true
POSTFSDATA=true
#开机后执行的命令，想启用则改为true
LATESTARTSERVICE=true

#安装模块时打印的信息，不需要的部分可以自己删除，也可以自己添加。
echo "
 
 ****************************
     MIUI Fruity Edition

       作者：Hex_TyRz
        QQ：603157521
 ****************************
 - 设备相关信息↓
 - SDK: $Sdk
 - 设备: $Device
 - 设备代号: $device
 - 安卓版本: Android $Android
 - MIUI版本: $MIUI  $Version
 ****************************
 "


[[ $MANUFACTURER != Xiaomi ]] && abort "- 非MIUI系统，无法使用本模块！" || echo "- 恭喜！系统支持此模块！"


#释放文件区域
on_install() {
  ui_print "- 正在解压并释放文件"
  unzip -o "$ZIPFILE" 'system/*' -d $MODPATH >&2
}

set_permissions() {

  set_perm_recursive  $MODPATH  0  0  0755  0644
  set_perm  $MODPATH/system/bin/logd       0       0       0550
  
}

#清理垃圾
rm -rf /data/vendor/thermal/config
rm -rf /data/vendor/thermal/thermal.dump
rm -rf /data/vendor/thermal/thermal_history.dump
rm -rf /data/user_de/0/com.miui.home/cache/debug_log
rm -rf /storage/emulated/0/.com.android.providers.downloads
rm -rf /storage/emulated/0/.com.android.providers.downloads.ui
rm -rf /data/user_de/0/org.meowcat.edxposed.manager/log/
rm -rf /data/user/0/com.douban.frodo/app_rexxar-douban
rm -rf /data/user/0/com.douban.frodo/cache
rm -rf /data/vendor/wlan_logs
rm -rf /data/user/0/com.picsart.studio/files/bitmap_cache/editor/view
rm -rf /data/media/0/JuphoonService
touch /data/media/0/JuphoonService
chmod 000 /data/media/0/JuphoonService

#禁用I/O调试
echo 0 > /sys/block/dm-0/queue/iostats
echo 0 > /sys/block/mmcblk0/queue/iostats
echo 0 > /sys/block/mmcblk0rpmb/queue/iostats
echo 0 > /sys/block/mmcblk1/queue/iostats
echo 0 > /sys/block/sda/queue/iostats
#关闭magisk edxposed miui 内测日志
if
rm -rf /cache/magisk.log
touch   /cache/magisk.log
chmod 000  /cache/magisk.log
/sbin/.magisk/busybox/chattr +i  /cache/magisk.log

rm -rf  /data/user_de/0/com.solohsu.android.edxp.manager/log
touch    /data/user_de/0/com.solohsu.android.edxp.manager/log
chmod 000   /data/user_de/0/com.solohsu.android.edxp.manager/log
/sbin/.magisk/busybox/chattr +i   /data/user_de/0/com.solohsu.android.edxp.manager/log

rm -rf /data/user_de/0/org.meowcat.edxposed.manager/log
touch   /data/user_de/0/org.meowcat.edxposed.manager/log
chmod 000  /data/user_de/0/org.meowcat.edxposed.manager/log
/sbin/.magisk/busybox/chattr +i  /data/user_de/0/org.meowcat.edxposed.manager/log

rm -rf /data/user_de/0/com.miui.home/cache/debug_log
touch   /data/user_de/0/com.miui.home/cache/debug_log
chmod 000  /data/user_de/0/com.miui.home/cache/debug_log 

then
echo "- 清理日志成功"
fi

echo - 作者为初三北京中考开发者，不求任何金钱上的回报，只求您关注一下我的酷安账号，谢谢支持！
sleep 3

  coolapkTesting=`pm list package | grep -w 'com.coolapk.market'`
  if [[ "$coolapkTesting" != "" ]];then
  am start -d 'coolmarket://u/2420306' >/dev/null 2>&1
  fi

echo - 安装成功！变更将在重启后生效。
